package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFH32Data {

    private Map<String, Object> params;
    
    public MWFH32Data(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsOuagbr() {
        return (Long) params.get("RS_OUAGBR");
    }

    public java.util.Date rsOuinpd() {
        return (java.util.Date) params.get("RS_OUINPD");
    }

    public java.util.Date rsOuvald() {
        return (java.util.Date) params.get("RS_OUVALD");
    }

    public String rsOucurr() {
        return (String) params.get("RS_OUCURR");
    }

    public Double rsOuamt() {
        return (Double) params.get("RS_OUAMT");
    }

    public Long rsOuaccn() {
        return (Long) params.get("RS_OUACCN");
    }

    public String rsOubnfc() {
        return (String) params.get("RS_OUBNFC");
    }

    public String rsOuuser() {
        return (String) params.get("RS_OUUSER");
    }

    public String rsOustst() {
        return (String) params.get("RS_OUSTST");
    }

    public Long rsOuibid() {
        return (Long) params.get("RS_OUIBID");
    } 

}
